Subject: Re: [PATCH] drivers: ptp: Include new header file in ptp_pch.c

From: Richard Cochran <[email-masked]>
Date: Mon, 16 Dec 2013 09:58:40 +0100

On Mon, Dec 16, 2013 at 02:14:15AM +0530, Rashika Kheria wrote:
> ---
>  drivers/net/ethernet/oki-semi/pch_gbe/pch_gbe.h    |    9 ---------
>  .../net/ethernet/oki-semi/pch_gbe/pch_gbe_main.c   |    1 +
>  drivers/ptp/ptp_pch.c                              |    1 +
>  include/linux/ptp_pch.h                            |   16 ++++++++++++++++
>  4 files changed, 18 insertions(+), 9 deletions(-)
>  create mode 100644 include/linux/ptp_pch.h

Instead of adding a random driver header into include/linux, I would
prefer that you just move the ptp_pch.c from drivers/ptp to
drivers/net/ethernet/oki-semi/pch_gbe. Then you can just include
pch_gbe.h directly.

Thanks,
Richard